| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
IP: GPIO Grouped Interrupts register block and driver
IP drivers: Common drivers used on multiple NXP devices

## Detailed Description

## Data Structures
struct | IP_GPIOGROUPINT_001_T
| GPIO grouped interrupt register block structure. More...

## Functions
STATIC INLINE void | IP_GPIOGP_IntInit (IP_GPIOGROUPINT_001_T *pGPIOGPINT, uint8_t PortComb, uint8_t PortTrigger)
| GPIO Group Interrupt Pin Initialization.
void | IP_GPIOGP_IntPinAdd (IP_GPIOGROUPINT_001_T *pGPIOGPINT, uint8_t PortNum, uint8_t PinNum, bool ActiveMode)
| GPIO Group Interrupt Pin Add to Group.
STATIC INLINE void | IP_GPIOGP_IntPinRemove (IP_GPIOGROUPINT_001_T *pGPIOGPINT, uint8_t PortNum, uint8_t PinNum)
| GPIO Group Interrupt Pin Remove from Group.
STATIC INLINE bool | IP_GPIOGP_IntGetStatus (IP_GPIOGROUPINT_001_T *pGPIOGPINT)
| Get GPIO Group Interrupt Get Status.
STATIC INLINE void | IP_GPIOGP_IntClear (IP_GPIOGROUPINT_001_T *pGPIOGPINT)
| Clear GPIO Group Interrupt.

## Function Documentation

STATIC INLINE void IP_GPIOGP_IntClear | ( | IP_GPIOGROUPINT_001_T * | pGPIOGPINT | ) |

Clear GPIO Group Interrupt.

Parameters

  pGPIOGPINT | : Pointer to GPIOIR register block

Returns
  None

Definition at line 107 of file gpiogrpint_001.h.

STATIC INLINE bool IP_GPIOGP_IntGetStatus | ( | IP_GPIOGROUPINT_001_T * | pGPIOGPINT | ) |

Get GPIO Group Interrupt Get Status.

Parameters

  pGPIOGPINT | : Pointer to GPIOIR register block

Returns
  true if interrupt is pending, otherwise false

Definition at line 97 of file gpiogrpint_001.h.

STATIC INLINE void IP_GPIOGP_IntInit | ( | IP_GPIOGROUPINT_001_T * | pGPIOGPINT,
|  | uint8_t | PortComb,
|  | uint8_t | PortTrigger
| ) |  |

GPIO Group Interrupt Pin Initialization.

Parameters

  pGPIOGPINT | : Pointer to GPIOIR register block
  PortComb | : GPIO group combined enable, should be: 0 (OR functionality) and 1 (AND functionality)
  PortTrigger | : GPIO group interrupt trigger, should be: 0 (Edge-triggered) 1 (Level triggered)

Returns
  None

Definition at line 64 of file gpiogrpint_001.h.

void IP_GPIOGP_IntPinAdd | ( | IP_GPIOGROUPINT_001_T * | pGPIOGPINT,
|  | uint8_t | PortNum,
|  | uint8_t | PinNum,
|  | bool | ActiveMode
| ) |  |

GPIO Group Interrupt Pin Add to Group.

Parameters

  pGPIOGPINT | : Pointer to GPIOIR register block
  PortNum | : GPIO port number, should be 0 to 7
  PinNum | : GPIO pin number, should be 0 to 31
  ActiveMode | : GPIO active mode, should be 0 (active LOW) and 1 (active HIGH)

Returns
  None

Definition at line 51 of file gpiogrpint_001.c.

STATIC INLINE void IP_GPIOGP_IntPinRemove | ( | IP_GPIOGROUPINT_001_T * | pGPIOGPINT,
|  | uint8_t | PortNum,
|  | uint8_t | PinNum
| ) |  |

GPIO Group Interrupt Pin Remove from Group.

Parameters

  pGPIOGPINT | : Pointer to GPIOIR register block
  PortNum | : GPIO port number, should be 0 to 7
  PinNum | : GPIO pin number, should be 0 to 31

Returns
  None

Definition at line 86 of file gpiogrpint_001.h.